package com.kfzs.duanduan.bean;

/**
 * @ Created by Dlg
 * @ <p>TiTle:  GiftItem</p>
 * @ <p>Description:</p>
 * @ date:  2017/8/11 15:26
 * @ QQ:    315096953
 */

public class GiftItem {

    private int id_ = 0;
    private int gameId_ = 0;
    private String giftName_ = "";
    private int typeId_ = 0;
    private String giftContent_ = "";
    private long startTime_ = 0L;
    private long endTime_ = 0L;
    private long createdTime_ = 0L;
    private String useInstruction_ = "";
    private long receiveNum_ = 0L;
    private long remain_num = 0L;
    private int status_ = 0;
    private long totalNum_ = 0L;
    private String giftCodes_ = "";
    private int existGift = 0;
    private String iconImage = "";
    private String gameName = "";
    private int plan_num=0;
    private float percentum=0;

    public int getPlan_num() {
        return plan_num;
    }

    public void setPlan_num(int plan_num) {
        this.plan_num = plan_num;
    }

    public float getPercentum() {
        return percentum;
    }

    public void setPercentum(float percentum) {
        this.percentum = percentum;
    }

    public int getId_() {
        return id_;
    }

    public void setId_(int id_) {
        this.id_ = id_;
    }

    public int getGameId_() {
        return gameId_;
    }

    public void setGameId_(int gameId_) {
        this.gameId_ = gameId_;
    }

    public String getGiftName_() {
        return giftName_;
    }

    public void setGiftName_(String giftName_) {
        this.giftName_ = giftName_;
    }

    public int getTypeId_() {
        return typeId_;
    }

    public void setTypeId_(int typeId_) {
        this.typeId_ = typeId_;
    }

    public String getGiftContent_() {
        return giftContent_;
    }

    public void setGiftContent_(String giftContent_) {
        this.giftContent_ = giftContent_;
    }

    public long getStartTime_() {
        return startTime_;
    }

    public void setStartTime_(long startTime_) {
        this.startTime_ = startTime_;
    }

    public long getEndTime_() {
        return endTime_;
    }

    public void setEndTime_(long endTime_) {
        this.endTime_ = endTime_;
    }

    public long getCreatedTime_() {
        return createdTime_;
    }

    public void setCreatedTime_(long createdTime_) {
        this.createdTime_ = createdTime_;
    }

    public String getUseInstruction_() {
        return useInstruction_;
    }

    public void setUseInstruction_(String useInstruction_) {
        this.useInstruction_ = useInstruction_;
    }

    public long getReceiveNum_() {
        return receiveNum_;
    }

    public void setReceiveNum_(long receiveNum_) {
        this.receiveNum_ = receiveNum_;
    }

    public long getRemain_num() {
        return remain_num;
    }

    public void setRemain_num(long remain_num) {
        this.remain_num = remain_num;
    }

    public int getStatus_() {
        return status_;
    }

    public void setStatus_(int status_) {
        this.status_ = status_;
    }

    public long getTotalNum_() {
        return totalNum_;
    }

    public void setTotalNum_(long totalNum_) {
        this.totalNum_ = totalNum_;
    }

    public String getGiftCodes_() {
        return giftCodes_;
    }

    public void setGiftCodes_(String giftCodes_) {
        this.giftCodes_ = giftCodes_;
    }

    public int getExistGift() {
        return existGift;
    }

    public void setExistGift(int existGift) {
        this.existGift = existGift;
    }

    public String getIconImage() {
        return iconImage;
    }

    public void setIconImage(String iconImage) {
        this.iconImage = iconImage;
    }

    public String getGameName() {
        return gameName;
    }

    public void setGameName(String gameName) {
        this.gameName = gameName;
    }
}
